.border.left, .borderleft {
  position: relative;
  padding-left: 1.5em;
  &:after {
    content: '';
    position: absolute;
    top: -0.5em;
    left: 0;
    width: 1px;
    height: calc(100% + 1em);
    // padding: 2em 0;
    background-color: $borderGreyColor;
  }
  &.more:after {
    top: 2em;
    height: calc(100% - 2em);
  }
}

.ui.label.red.darken {
  background-color: darken($red, 
    10)!important;
}

.ui.label.light {
  font-weight: 100;
}
.ui.vertical.menu.full {
  width: 100%;
}
.ui.segment.unrounded {
  border-radius: 0;
}
.field.end {
  justify-content: flex-end;
}
.ui.minus.add.outer {
  .label {
    border: 1px solid darken($borderGreyColor, 10);
    font-weight: 400;
  }
  &.fluid {
    .label {
      flex-basis: 100%;
    }
  }
}
.column.lined.left {
  position: relative;
  padding-left: 2em!important;
  > * {
    // margin-left: 1em;
  }
  &:before {
    position: absolute;
    top: 0;
    left: 1em;
    display: inline-block;
    content: '';
    width: 3px;
    height: 100%;
    background-color: darken($borderGreyColor, 15);
  }
}
.ui.fluid.labeled.input {
  flex-basis: 100%;
}
.ui.label.lighter {
  font-weight: 400;
}
.ui.minus.add.inner {
  border-radius: 0 0.15em 0.15em 0;
  display: flex;
  align-items: center;
  padding: 0 0.5em;
  border: 1px solid darken($borderGreyColor, 10);
  border-left: 0;
  background-color: #FFF;
  .ui.button {
    padding: 0.5em 0.4em;
    font-size: 0.6em;
  }
  p {
    margin: 0 0.7em;
  }
}

.ui.button.only.icon {
  .icon {
    width: inherit;
  }
}

.ui.menu.dark {
  .active.item {
    background-color: $black;
    color: $white;
  }
  .item {
    color: $primary;
  }
}
.ui.vertical.menu.auto {
  width: auto;
}

.ui.default.select {
  height: 40px;
  border: 1px solid lighten($greyDarken, 15);
  min-width: 150px;
  padding: 0.5em;
  outline: none;
  &:focus {
    outline: none;
  }
}


.ui.form .inline.fields > label, 
.ui.form .inline.fields .field > label, 
.ui.form .inline.fields .field > p, 
.ui.form .inline.field > label, 
.ui.form .inline.field > p {
  font-weight: 400;
  font-size: 1em;
  color: $greyText;
}

.ui.input:not(.code) input,
.ui.form .inline.fields .field:not(.code) > input, 
.ui.form .inline.fields .field:not(.code) > select, 
.ui.form .inline.field:not(.code) > input, 
.ui.form .inline.field:not(.code) > select {
  opacity: 1;
  &[disabled],
  &[readonly]:focus,
  &[readonly] {
    background: #f4f4f4;
    border: 1px solid #d6d6d6;
    color: darken($greyText, 20);
    opacity: 1;
  }
}
.ui.input.disabled {
  opacity: 1;
  input {
    background: #f4f4f4;
    cursor: not-allowed;
    border: 1px solid #d6d6d6;
    color: darken($greyText, 20);
    opacity: 1;
  }
}

.ui.form .disabled.fields .field, .ui.form .disabled.field, .ui.form .field :disabled {
  opacity: 1;
}

.field.disabled {
  textarea {
    background: #f4f4f4;
    border: 1px solid #d6d6d6;
    color: darken($greyText, 20);
    opacity: 1;
  }
}

.row.ui.pasar {
  p:first-child {
    margin-top: 0.6em;
    font-size: 1.2em;
  }
}


.form.fieldset,.ui[class*="center aligned"].grid > .row > .column.form.fieldset {
  text-align: left;
  > label {
    display: block;
    margin: 1.5em 0 0.3em 0;
    font-size: 0.9em;
    // color: lighten($greyText, 20);
    display: block;
  }
}


.ui.fluid.input.fieldset.text.uppercase {
  text-transform: uppercase;
  input {
    text-transform: uppercase;
    &::-webkit-input-placeholder { /* Chrome/Opera/Safari */
      text-transform: initial;
    }
    &::-moz-placeholder { /* Firefox 19+ */
      text-transform: initial;
    }
    &:-ms-input-placeholder { /* IE 10+ */
      text-transform: initial;
    }
    &:-moz-placeholder { /* Firefox 18- */
      text-transform: initial;
    }
    &::placeholder {
      text-transform: initial;
    }
  }
}

.ui.header.icon-rupiah-icon.huge {
  font-size: 5em;
}
.box.border.rounded {
  border: 1px solid $borderGreyColor;
  border-radius: 0.25em;
  padding: 0.5em;
  height: 100%;
}
.ui.secondary.button:focus {
  background: $black;
}
.ui.segment {
  &.squared {
    border-radius: 0.25em;
  }
  &.bordered {
    border: 1px solid darken($borderGreyColor, 10);
  }
  &.raised {
    box-shadow: 0px 2px 4px 0px rgba(0,0,0,0.1);
  }
}

.ui.bordered.left {
  border-left: 1px solid $borderGreyColor;
  padding: 1em 2em 1em 3em;
}

.ui.menu.pagination.relative {
  padding: 0;
  a {
    outline: 0;
  }
}


.ui.stackable.grid > .row > .wide.column.faker, 
.ui.stackable.grid > .wide.column.faker, 
.ui.stackable.grid > .column.faker.grid > .column.faker, 
.ui.stackable.grid > .column.faker.row > .column.faker, 
.ui.stackable.grid > .row > .column.faker, 
.ui.stackable.grid > .column.faker:not(.row), 
.ui.grid > .stackable.stackable.row > .column.faker {
  padding: 0 1em;
  @media only screen and (max-width: 767px) {
    padding: 0 1em!important;
  }
}

.divider-column {
  position: relative;
  padding: 0 !important;
  margin-top: 1em;
}


.ui.vertical.divider.full:before, .ui.vertical.divider.full:after {
  height: 100%;
}

.highcharts-credits {
  color: #FFF!important;
  fill: #FFF!important;
  font-size: 0px!important;
}
.ui.label.icon > .icon {
  margin: 0;
}

.ux.checkbox {
  border: 1px solid $grey;
  display: inline;
  padding: 0 8px;
  width: 16px;
  height: 16px;
  position: relative;
  margin: 0 1em 0 0;
  cursor: pointer;
  .icon {
    position: absolute;
    top: 0;
    left: 0;
  }
  + * {
    cursor: pointer;
  }

}

.floating {
  position: absolute;
  &.top {
    top: 1em;
  }
  &.right {
    right: 0;
  }
}

.filtering.button {
  outline:0;
  border: 1px solid darken($borderGreyColor, 10);
  border-radius: 0.25em;
  background: transparent;
  margin-left: 0.2em;
  height: 35px;
  color: $black;
  cursor: pointer;
  &:hover, &.active {
    background-color: darken($borderGreyColor, 10);
  }
}
.filtering.buttons {
  .filtering.button {
    margin: 0;
  }
  .filtering.button:first-child {
    border-right: 0;
    border-radius: 0.25em 0 0 0.25em;
  }
  .filtering.button:last-child {
    border-left: 0;
    border-radius: 0 0.25em 0.25em 0;
  }
}

.bordering.top {
  // width: 100%;
  display: flex;
}
.flex.wrap {
  flex-wrap: wrap;
}
.borderings {
  .bordering {
    width: 100%;
    padding-top: 1em;
    border-top: 1px solid $borderGreyColor;
  }
  .bordering:first-child {
    padding-top: 0;
    border-top: 0;
  }
}
.ui.breadcrumb a {
  color: $primary;
  &:hover {
    color: darken($primary, 10);
  }
}

.ui.breadcrumb .active.section {
  font-weight: 400;
}

.ui.table thead th {
  background: #f3f3f3;
}

.ui.calendar thead th {
  color: $white;
  font-weight: 400;
}
